[data-space-before="none"] {
    padding-block-start: 0 !important;
}

[data-space-before="extra-small"] {
    padding-block-start: 0.75rem !important;
}

[data-space-before="small"] {
    padding-block-start: 1.5rem !important;
}

[data-space-before="medium"] {
    padding-block-start: 3rem !important;
}

[data-space-before="large"] {
    padding-block-start: 6rem !important;
}

[data-space-after="none"] {
    padding-block-end: 0 !important;
}

[data-space-after="extra-small"] {
    padding-block-end: 0.75rem !important;
}

[data-space-after="small"] {
    padding-block-end: 1.5rem !important;
}

[data-space-after="medium"] {
    padding-block-end: 3rem !important;
}

[data-space-after="large"] {
    padding-block-end: 6rem !important;
}

.component {
    --grid-columns: 12;
    --grid-padding: 2rem;
    --max-content-width: 1290px;
    display: grid;
    grid-template-columns:
        minmax(var(--grid-padding), 1fr) repeat(
            var(--grid-columns),
            minmax(0, calc(var(--max-content-width) / var(--grid-columns)))
        )
        minmax(var(--grid-padding), 1fr);

    padding-block: 3rem;
}

.teaserimage--0 .component__content {
    grid-column: 2 / -2;
}

.teaserimage--0 .teaserimage__items {
    display: grid;
    gap: 1.25rem;
}

.teaserimage--0 .teaserimage__item {
    display: flex;
    flex-direction: column;
    justify-content: start;
    background-color: white;
    position: relative;
    overflow: hidden;
}

.teaserimage--0 .teaserimage__image > * {
    position: relative;
    width: 100%;
    height: 100%;
    aspect-ratio: 4 / 3;
    object-fit: cover;
    transform: scale(1);
    transition: transform 400ms ease;
}

.teaserimage--0 .teaserimage__title {
    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 1.25rem;

    font-family: 700;
    font-size: clamp(1rem, 1.187vw + 0.573rem, 1.75rem);
    line-height: clamp(1rem, 1.187vw + 0.573rem, 1.75rem);
    text-transform: uppercase;
    color: #fff;

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9;
}

.teaserimage--0 .teaserimage__title svg {
    flex-shrink: 0;
    transform: scale(1);
    transition: transform 400ms ease;
}

.teaserimage--0 .teaserimage__text {
    padding: 1.25rem;
    line-height: 1.875rem;
    color: #333;
    background-color: #fc0;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9;
    transform: translate3d(0, 100%, 0);
    transition: transform 400ms ease;
}

.teaserimage--0 .teaserimage__text > * {
    margin: unset;
}

.teaserimage--0 .teaserimage__link {
    position: absolute;
    inset: 0;
    z-index: 10;
    text-indent: -9999px;
}

.teaserimage--0 .teaserimage__item:hover .teaserimage__title svg {
    color: #fc0;
    transform: scale(1.2);
}

.teaserimage--0 .teaserimage__item:hover .teaserimage__text {
    transform: translate3d(0, 0, 0);
}

.teaserimage--0 .teaserimage__item:hover .teaserimage__image > * {
    transform: scale(1.5);
}

@media (min-width: 992px) {
    .teaserimage--0 .teaserimage__items {
        grid-template-columns: repeat(3, 1fr);
    }
}
